Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 16:55
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Updated Abiword-2.8.2 plus all plugins, locales and docs
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [39 Posts]   Goto page: 1, 2, 3 Next
Author Message
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Tue 16 Feb 2010, 22:39    Post subject:  Updated Abiword-2.8.2 plus all plugins, locales and docs  

I don't even want to begin to explain the long process it took to finally get a working abiword-2.8.X, but here it is though not as fully optimized for size as my normal builds because I first wanted to get it working.

http://puppy-development.googlecode.com/files/abiword-2.8.2-i486.pet
Main pet with english locales and the following plugins builtin:
applix babelfish bmp clarisworks docbook eml freetranslation gdict gimp google hancom hrtext iscii kword latex loadbindings mif opendocument openwriter openxml opml paint passepartout pdb pdf presentation s5 sdw t602 urldict wikipedia wml xslfo

Extra plugins that could not be builtin (extra libs mostly statically built in)
aiksaurus garble mht ots psion collab wmf wordperfect wpg mswrite
http://puppy-development.googlecode.com/files/abiword_plugins-2.8.2.pet

Extra locales
http://puppy-development.googlecode.com/files/abiword_NLS-2.8.2.pet

Documentation
http://puppy-development.googlecode.com/files/abiword-docs-2.8.1-i486.pet

_________________
Web Programming - Pet Packaging 100 & 101

Last edited by technosaurus on Tue 16 Feb 2010, 22:45; edited 1 time in total
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Tue 16 Feb 2010, 22:44    Post subject:  

to get an idea of what is saved by building in plugins here are some of the sizes of the plugins I compiled before in kb
12 aiksaurus.so
32 applix.so
12 babelfish.so
12 clarisworks.so
572 collab.so
108 docbook.so
12 eml.so
88 goffice.so
8 google.so
156 grammar.so
12 hancom.so
28 hrtext.so
24 iscii.so
44 kword.so
76 latex.so
4 mht.so
20 mif.so
692 openxml.so
20 opml.so
24 ots.so
24 passepartout.so
24 pdb.so
244 psion.so
24 s5.so
56 sdw.so
20 t602.so
8 urldict.so
8 wikipedia.so
180 wmf.so
64 wml.so
688 wordperfect.so
216 wpg.so
80 xslfo.so

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1040
Location: Smithers, BC, Canada

PostPosted: Wed 17 Feb 2010, 11:44    Post subject:  

Thanks technosaurus,
Looks good, does a nice job with .docx, and its nice to have aiksaurus back but spell checking seems to have disappeared.
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 17 Feb 2010, 12:09    Post subject:  

Thanks. As far as striping is concerned, I prefer things to not be striped Smile.
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Wed 17 Feb 2010, 13:25    Post subject:  

thanks for the heads up on spell check - the build process usually detects that and builds support in if it finds enchant - perhaps it is missing in 4.2.1 or its devx - I wasn't expecting it to work as well as it did just from reverting to compiling on 4.2.1 so I must have let that scroll past - I wanted a good reason to recompile it anyways because I did cut out almost all my usual optimizations just to see if I could finally get it to work.

By the way if you set up a symlink from mtpaint to gimp, the paint editor plugin works using mtpaint. (although the new glipper may make this unnecessary)

How about the grammar check - is it even worth the space? I linked it in statically to the plugin this time... since nothing elsed depends on liblinkgrammar.so* - it can now be removed (still need /usr/share/link-grammar though)

I really don't have a good sense as to what plugins are useful/necessary - which should be builtin or separate and whether the plugins should be separated into smaller individual (debian style) packages or not... applix?, clarisworks?... are any of the ones I builtin better left as separate plugins (at ~double the size but not in default Puppy Builds)

I static linked most of the extra plugins to save space with the exception of Aiksaurus, since it can be used in any program using a hotkey for gaiksaurus(I made a little script that checks your clipboard with xclip and opens it in gaiksaurus - if the clipboard is empty you get a dialog... did the same thing for google).

also I rebuilt inkscapelite without libgnomeprint and libgnomeprintui (still prints) and abiword-2.8.x no longer depends on those either so they can be removed.

I am only a couple of steps away from being able to eliminate libglade as well - just need to rebuild gnumeric & goffice from git (it still gets linked in by accident I think) and then do something about gktdialog(maybe statically link it in if it can't be patched to remove the unused glade parts or upgrade it to gtkbuilder)

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Wed 17 Feb 2010, 14:57    Post subject:  

technosaurus wrote:

How about the grammar check - is it even worth the space? I linked it in statically to the plugin this time... since nothing elsed depends on liblinkgrammar.so* - it can now be removed (still need /usr/share/link-grammar though)


Yes, I need it!

Last edited by abushcrafter on Wed 17 Feb 2010, 15:47; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Wed 17 Feb 2010, 15:38    Post subject:  

Grammar is in the plugins pet - please let me know if it works for you - as rambling as I type I have often had difficulty checking the grammar plugin's functionality. I was only talking about removing the shared library - if it is working the library is not needed since it was statically compiled in (run ldd on grammar.so to verify)... for that matter /usr/bin/link-parser is probably not needed either (I found no reference to in in the abiword grammar plugin code)
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
prehistoric


Joined: 23 Oct 2007
Posts: 1304

PostPosted: Wed 17 Feb 2010, 15:53    Post subject: spellchecking, grammar  

I use spell checking all the time, and find Abiword usually does pretty well. Grammar checking is generally too hard for programs that don't understand the meaning of text. I tend to leave it off and do my own proofreading to avoid the irritation of having it suggest meanings I don't intend.

More after some testing.
Back to top
View user's profile Send private message 
scheck.r

Joined: 30 Apr 2008
Posts: 12

PostPosted: Wed 17 Feb 2010, 17:15    Post subject:  

useful plugin missing:
- paint: useful to edit an image with an external editor like mtpaint, can replace gimp plugin I think, you just need to specify which external program to use in Abiword.Profile like this
Code:
<Plugin
      name="_AbiPaint_"
      bLeaveImageAsPNG="1"
      szImageEditor="mtpaint"
      />

- laodbindings: to set the keyboard bindings your way and needed by the presentation plugin
- presentation: to get powerpoint-like view
- opendocument: to import *.odt (opendocument export is builtin as well as pdf export)

Thanks
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10843
Location: Ontario Canada,Sydney Australia

PostPosted: Wed 17 Feb 2010, 17:58    Post subject:  

ok I tested this one, hmmm it worked on 2.14X, Smile all It needed was wv-1.2.4 (pet below)
docX doesn't work right, below are a few test docX files I found on the net, only one managed to open and the format was out of place, 6 other docx failed. The abiword I compiled for 4.2 docx worked in the end but the difference was that it wasn't static, so I'm not sure what is missing.
ttuuxxx

http://webjam-upload.s3.amazonaws.com/X75f0myVgt_SAMPLE%20DOCUMENT.docx
http://cid-7953bae6fb0ebc38.skydrive.live.com/self.aspx/Office%20Web%20Apps/Non-profit%20class%20group%20project%20assignment%20-%20sample.docx
http://cid-c9837170a0f3efa4.skydrive.live.com/self.aspx/SOA%20Workshop%20Material/Assessment%20and%20Roadmap%20for%20SOA%20-%20Sample%20Customer%20Report.docx
http://www.cleantransportationfunding.org/document/rfp/word/sample.docx
https://lswiki.byu.edu/index.php/File:Sample.docx

ttuuxxx
wv-1.2.4-i386.pet
Description 
pet

 Download 
Filename  wv-1.2.4-i386.pet 
Filesize  161.52 KB 
Downloaded  947 Time(s) 

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Wed 17 Feb 2010, 18:07    Post subject:  

@ttuuxxx hmmm - don't see docx in my list - need to be more careful when typing in the plugins --- sorry about the wv dependency though - I could not get image support with any of my static versions using various configuration options - it takes so damn long to compile abiword that I am limited to using a known working version (goffice dep is gone though)

@scheckr - thanks for the mtpaint entry - may try to add it to defaults... from the original post you will notice that MOST of the plugins are builtin (including paint) - just because they are not in the "plugin" directory, does not mean that they aren't there...
These are the builtins:
Quote:
applix babelfish bmp clarisworks docbook eml freetranslation gdict gimp google hancom hrtext iscii kword latex loadbindings mif opendocument openwriter openxml opml paint passepartout pdb pdf presentation s5 sdw t602 urldict wikipedia wml xslfo


I wonder if:
<Plugin name="_AbiPaint_" bLeaveImageAsPNG="1" szImageEditor="mtpaint" />
could be added to /usr/share/abiword-2.8/system.defaults instead?

Note: the "presentation" plugin has been buggy in previous releases and needs testing

Anything that we find to be buggy I would like to remove it as a builtin and build it as a proper loadable plugin - bad builtin plugins make the rest of the build seem unstable, and leads to confusing bug reports... you know... bad apples and all

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10843
Location: Ontario Canada,Sydney Australia

PostPosted: Wed 17 Feb 2010, 18:35    Post subject:  

Hi techno

docX is near the bottom of the list, just click "save as" and you should see it Smile
ttuuxxx
docx.jpg
 Description   
 Filesize   52.25 KB
 Viewed   4490 Time(s)

docx.jpg


_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send private message Visit poster's website 
scheck.r

Joined: 30 Apr 2008
Posts: 12

PostPosted: Thu 18 Feb 2010, 08:39    Post subject:  

Quote:
I wonder if:
<Plugin name="_AbiPaint_" bLeaveImageAsPNG="1" szImageEditor="mtpaint" />
could be added to /usr/share/abiword-2.8/system.defaults instead?
Sorry, I don't know. I don't have a file named system.defaults in ubuntu but I do have a system.profile in /usr/local/share. I added <Plugin name="_AbiPaint_" bLeaveImageAsPNG="1" szImageEditor="mtpaint" /> at the end of /usr/local/share/system.profile but it didn't work.
Quote:
Note: the "presentation" plugin has been buggy in previous releases and needs testing
Yes, it's somewhat buggy(at least on ubuntu) especially with landscape pages.
Back to top
View user's profile Send private message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Tue 23 Feb 2010, 11:12    Post subject:  

Any update on a version with spell check? I want to include this in Puppeee.
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4380

PostPosted: Tue 23 Feb 2010, 13:11    Post subject:  

I am on my third try - the compile process takes a while in 4.2.1 (no smp) and I am trying to minimize the dependencies to both the main binary and plugins. My last one got the spell check working but ended up including goffice as a dependency, so I started over for the sake of ttuuxxx's puplet without gnumeric or goffice.

I would compile the plugins separately to prevent this long process but you cannot or optimization will eliminate symbols that call the plugins as "unnecessary". ... fortunately it turns out you can compile --without-goffice and --enable-plugins="goffice.... " hmmm - wierd.

Note:
The spell check in 2.8.X requires a newer version of libenchant that has the C++ headers, so I upped it to 1.5.0 (latest stable).
I also built enchant against Hunspell to support the myspell/hunspell plugin so that we can eventually switch to it for much more language support... besides firefox and seamonkey can now use --with-system-hunspell, so it will eventually balance out once I get around to "learning" to recompile those two - did I mention I hate navigating the mozilla source brambles ...err "tree".

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [39 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0937s ][ Queries: 13 (0.0046s) ][ GZIP on ]